JMSTopicStatsImpl (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.management.JMSTopicStatsImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.management
Class JMSTopicStatsImpl

    java.lang.Object
      org.codehaus.activemq.management.StatsImpl
          org.codehaus.activemq.management.JMSEndpointStatsImpl
              org.codehaus.activemq.management.JMSTopicStatsImpl

All Implemented Interfaces:
  JMSDestinationStats, JMSEndpointStats, Resettable, Stats

public class JMSTopicStatsImpl
extends JMSEndpointStatsImpl
implements JMSDestinationStats

Statistics for a `Topic`

Version:
  $Revision: 1.1 $

Field Summary

Fields inherited from class org.codehaus.activemq.management.JMSEndpointStatsImpl
`expiredMessageCount, messageCount, messageRateTime, messageWaitTime, pendingMessageCount`

Constructor Summary
`JMSTopicStatsImpl()`

Method Summary
`void` | `onMessageAck()` On a consume from this destination, updates the consumed states
`void` | `onMessageSend(Message message)` On a message send to this destination, update the producing stats
`void` | `setPendingMessageCountOnStartup(long count)` On startup sets the pending message count

Methods inherited from class org.codehaus.activemq.management.JMSEndpointStatsImpl
`dump, getExpiredMessageCount, getMessageCount, getMessageWaitTime, getPendingMessageCount, onMessage, setParent, setParent, toString`

Methods inherited from class org.codehaus.activemq.management.StatsImpl
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### JMSTopicStatsImpl

    public JMSTopicStatsImpl()

Method Detail

### setPendingMessageCountOnStartup

    public void setPendingMessageCountOnStartup(long count)

  Description copied from interface: `JMSDestinationStats`
  On startup sets the pending message count

  Specified by:
    `setPendingMessageCountOnStartup` in interface `JMSDestinationStats`
  Parameters:
    `count` -

### onMessageSend

    public void onMessageSend(Message message)

  Description copied from interface: `JMSDestinationStats`
  On a message send to this destination, update the producing stats

  Specified by:
    `onMessageSend` in interface `JMSDestinationStats`
  Parameters:
    `message` -

### onMessageAck

    public void onMessageAck()

  Description copied from interface: `JMSDestinationStats`
  On a consume from this destination, updates the consumed states

  Specified by:
    `onMessageAck` in interface `JMSDestinationStats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.